function nuevo() {
  $("#modalSede").modal("show");
}

function edit(id) {
  fetch("../../controller/sede.php?op=show&id=" + id, {
    method: "GET",
  })
    .then((res) => {
      if (res.ok) {
        return res.json();
      } else {
        throw "Error en la llamada Ajax";
      }
    })
    .then((data) => {
      if (data.status == "success") {
        $("#sededbkupdate").val(id);
        $("#name_update").val(data.data.nombre);
        $("#address_update").val(data.data.ubicacion);

        $("#editSede").modal("show");
      } else {
        Swal.fire({
          title: "Error",
          text: data.message,
          icon: "error",
          confirmButtonText: "Aceptar",
        });
      }
    });
}

$("#update_form").submit(function (e) {
  e.preventDefault();

  var formData = new FormData($("#update_form")[0]);

  fetch("../../controller/sede.php?op=update", {
    method: "POST",
    body: formData,
  })
    .then((res) => {
      if (res.ok) {
        return res.json();
      } else {
        throw "Error en la llamada Ajax";
      }
    })
    .then((data) => {
      if (data.status == "success") {
        $("#editSede").modal("hide");
        $("#update_form")[0].reset();
        $("#data-sede").DataTable().ajax.reload();
        Swal.fire({
          title: "Registro exitoso",
          text: data.message,
          icon: "success",
          confirmButtonText: "Aceptar",
        });
      } else {
        Swal.fire({
          title: "Error",
          text: data.message,
          icon: "error",
          confirmButtonText: "Aceptar",
        });
      }
    })
    .catch((error) => {
      console.log(error);
    });
});

$("#register_form").submit(function (e) {
  e.preventDefault();

  var formData = new FormData($("#register_form")[0]);

  fetch("../../controller/sede.php?op=create", {
    method: "POST",
    body: formData,
  })
    .then((res) => {
      if (res.ok) {
        return res.json();
      } else {
        throw "Error en la llamada Ajax";
      }
    })
    .then((data) => {
      if (data.status == "success") {
        $("#modalSede").modal("hide");
        $("#register_form")[0].reset();
        $("#data-sede").DataTable().ajax.reload();
        Swal.fire({
          title: "Registro exitoso",
          text: data.message,
          icon: "success",
          confirmButtonText: "Aceptar",
        });
      } else {
        Swal.fire({
          title: "Error",
          text: data.message,
          icon: "error",
          confirmButtonText: "Aceptar",
        });
      }
    })
    .catch((error) => {
      console.log(error);
    });
});

$(() => {
  $("#data-sede").DataTable({
    serverSide: true,
    procesing: true,
    responsive: true,
    ajax: {
      url: "../../controller/sede.php?op=table",
      type: "GET",
    },
    columns: [{ data: "nombre" }, { data: "ubicacion" }, { data: "accion" }],
    language: {
      url: "//cdn.datatables.net/plug-ins/1.10.24/i18n/Spanish.json",
    },
  });
});

function deleteSede(id) {
  Swal.fire({
    title: "¿Está seguro de eliminar la sede?",
    text: "¡No podrás revertir esto!",
    icon: "warning",
    showCancelButton: true,
    confirmButtonColor: "#3085d6",
    cancelButtonColor: "#d33",
    confirmButtonText: "¡Sí, bórralo!",
  }).then((result) => {
    if (result.isConfirmed) {
      fetch("../../controller/sede.php?op=delete&id=" + id, {
        method: "GET",
      })
        .then((res) => {
          if (res.ok) {
            return res.json();
          } else {
            throw "Error en la llamada Ajax";
          }
        })
        .then((data) => {
          if (data.status == "success") {
            Swal.fire({
              title: "Eliminado",
              text: data.message,
              icon: "success",
              confirmButtonText: "Aceptar",
            });
            $("#data-sede").DataTable().ajax.reload();
          } else {
            Swal.fire({
              title: "Error",
              text: data.message,
              icon: "error",
              confirmButtonText: "Aceptar",
            });
          }
        })
        .catch((error) => {
          console.log(error);
        });
    }
  });
}
